<?php
include_once("connect.php");
include_once("funciones.php");

$op = isset($_REQUEST['op']) ? $_REQUEST['op'] : '';
$id = isset($_REQUEST['id']) ? "'".$_REQUEST['id']."'" : '0';

switch($op)
{
	case 'marcar':
		$estado = $_POST['state'];
		if($estado=='true')
		{
			$query = "UPDATE programas SET AltaPrioridad = '1' WHERE IdPrograma = $id";
			$queryerror = "Error al Almacenar Datos de Programa de Alta Prioridad";
		}
		else
		{
			$query = "UPDATE programas SET AltaPrioridad = 0 WHERE IdPrograma = $id";
          	$queryerror = "Error al Eliminar Datos de Programa de Alta Prioridad";
		}
	
        if(mysql_query($query))
			print("Programa Actualizado Correctamente");
		else
			die($queryerror);
		break;

	case 'priority':
		$v_agencia = ($_REQUEST['agencia'] != '') ? "'".$_REQUEST['agencia']."'" : 0;
		$v_entidad = ($_REQUEST['entidad'] != '') ? "'".$_REQUEST['entidad']."'" : 0;
		
		if($v_entidad)
			$filtroente = " AND IdEntidad = $v_entidad ";

		$query = "SELECT IdPrograma, Codigo, Nombre, AltaPrioridad FROM programas WHERE IdDepartamento = $v_agencia $filtroente";
		$res = mysql_query($query);
		
		xmlDoc();
		print '<rows>'."\n";
		if(mysql_num_rows($res))
		{
			while($inversion = mysql_fetch_array($res)) 
			{
				print '<row id="'.$inversion['IdPrograma'].'">'."\n".
					'<cell>'.$inversion['Codigo'].'</cell>'."\n".
					'<cell><![CDATA['.($inversion['Nombre']).']]></cell>'."\n".
					'<cell>'.($inversion['AltaPrioridad'] ? 1 : 0).'</cell>'."\n".
				      '</row>'."\n";
			}
		}
		else
			print '<row><cell>-</cell><cell>No hay registros</cell><cell>0</cell></row>';
		print '</rows>';
		break;
}
mysql_close();
?>